Skip to main content

Update a FIDO2 credential

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/fido2/:extId

Since: 2.86.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialModify or SelfAdmin Role

Partially updates the FIDO2 credential with the given external ID belonging to the specified user. Only provided fields will be updated.

The authenticator, user-friendly name, credential state, and modification comment can be changed.

Supports self-admin mode with JWT token validation.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the FIDO2 credential.

    Example: cred-123

Body

required
    authenticator string

    The authenticator used for FIDO2 which can contain credentialId.

    userFriendlyName string

    Human readable name of the credential.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    State of the credential.

    modificationComment string

    Textual comment regarding the last modification.

    version int32

    Version used for optimistic locking.

Responses

FIDO2 credential updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    aaguid string

    A 128-bit identifier indicating the type (make/model) of the authenticator.

    authenticator string

    The authenticator used for FIDO2 which can contain credentialId.

    authenticatorAttachment string

    Possible values: [platform, crossplatform]

    AuthenticatorAttachment parameter

    attestationConveyancePreference string

    Possible values: [direct, indirect, none, enterprise]

    AttestationConveyancePreference parameter.

    hashedCredentialId string

    Hashed value of credential ID generated by the authenticator.

    rpId string

    Domain of the party using this authentication for its website.

    residentKeyRequirement string

    Possible values: [required, discouraged]

    ResidentKey parameter.

    userAgent string

    UserAgent of the browser used.

    userFriendlyName string

    Human readable name of the credential.

    userVerificationRequirement string

    Possible values: [required, preferred, discouraged]

    User Verification parameter.

Loading...